rm(list = ls()); gc()

args <- commandArgs(trailingOnly = TRUE)

setwd("/esarchive/scratch/nmilders/gitlab/git_clones/auto-s2s/")
recipe_file <- "recipes/recipe_scorecards_nadia.yml"

source("modules/Loading/Loading.R")
source("modules/Anomalies/Anomalies.R")
#source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
#source("modules/Visualization/Visualization.R")
source("tools/prepare_outputs.R")

recipe <- prepare_outputs(recipe_file)

## Run job for each start month
recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", as.numeric(args)), '01')

## Load datasets
data <- load_datasets(recipe)
gc()

## compute anomalies
data <- compute_anomalies(recipe, data)
gc()

## Compute skill metrics of data
skill_metrics <- compute_skill_metrics(recipe, data)
gc()
